FreeMat

- Main Page
- Related Pages

TOC Stop Stopwatch Timer

Section: FreeMat Functions

# Usage

Stop the stopwatch timer, which can be used to time tasks in FreeMat. The `toc` function takes no arguments, and returns no outputs. You must use `toc` to get the elapsed time. The usage is

      toc

# Example

Here is an example of timing the solution of a large matrix equation.

    --> A = rand(100);
    --> b = rand(100,1);
    --> tic; c = A\b; toc

    ans =
        0.0050